View Issue Details

IDProjectCategoryView StatusLast Update
0000909Main CAcert Websitesource codepublic2013-01-15 15:23
Reporterwytze Assigned ToUli60  
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Fixed in Version2011 Q4 
Summary0000909: too many error messages logged by php code
DescriptionThe current application is logging around 1600 php error messages per day to phperrors. Since nearly all of these error messages are of a few common types, they are uninteresting to inspect and obscure any real errors that might occur.
So the application code should be changed to avoid logging trivial php errors (and/or avoid causing trivial errors of course).
Additional InformationHere are the samples of the 'routine' error messages that we should get rid of:

PHP Warning: Illegal offset type in unset in /www/includes/loggedin.php on line 136
PHP Warning: Illegal offset type in unset in /www/includes/loggedin.php on line 76

PHP Warning: mkdir(../csr/client) [<a href='function.mkdir'>function.mkdir</a>]: File exists in /www/includes/general.php on line 923
PHP Warning: mkdir(../crt/client) [<a href='function.mkdir'>function.mkdir</a>]: File exists in /www/includes/general.php on line 924
PHP Warning: mkdir(../csr/client/316) [<a href='function.mkdir'>function.mkdir</a>]: File exists in /www/includes/general.php on line 925
PHP Warning: mkdir(../crt/orgserver/3) [<a href='function.mkdir'>function.mkdir</a>]: File exists in /www/includes/general.php on line 926

Note that I have only shown the English version of these errors; if the current user has selected a different language, the error messages will also be logged in that language -- this could be considered a separate bug by itself if you like: internal application error messages should NOT be automatically translated!
TagsNo tags attached.
Reviewed by
Test Instructions

Relationships

related to 0000908 closedUli60 Session unregister when logging out seems to contain bugs 
related to 0000963 closedNEOatNHNG Logout Session not completely reset 
parent of 0000968 closedTed split 0000909: too many error messages logged - part II - general.php 

Activities

Uli60

2011-04-17 02:52

updater   ~0001934

Last edited: 2011-08-15 12:10

View 3 revisions

/www/includes/loggedin.php on line 77 ->
shouldn't this be
  unset($key);
instead of unset($$key); ????

same in line 137

=> Variable variables
http://php.net/manual/en/language.variables.variable.php
for better coding I would prefer to write:
   unset(${$key});

Uli60

2011-08-15 12:15

updater   ~0002292

overall state is confirmed
session bug probably fixed
create cert path fix is available

Uli60

2011-11-23 09:21

updater   ~0002719

all related sub bugs are fixed.
so this "parent" bug is fixed too.

Werner Dworak

2012-12-21 05:11

updater   ~0003514

More than 3 month fixed and no complaints

Issue History

Date Modified Username Field Change
2011-01-28 12:29 wytze New Issue
2011-04-17 02:52 Uli60 Note Added: 0001934
2011-08-15 10:32 Uli60 Relationship added related to 0000908
2011-08-15 10:32 Uli60 Relationship added related to 0000963
2011-08-15 11:33 Uli60 Relationship added parent of 0000968
2011-08-15 12:08 Uli60 Note Edited: 0001934 View Revisions
2011-08-15 12:10 Uli60 Note Edited: 0001934 View Revisions
2011-08-15 12:15 Uli60 Note Added: 0002292
2011-08-15 12:15 Uli60 Assigned To => Uli60
2011-08-15 12:15 Uli60 Status new => confirmed
2011-11-23 09:21 Uli60 Note Added: 0002719
2011-11-23 09:21 Uli60 Status confirmed => solved?
2011-11-23 09:21 Uli60 Resolution open => fixed
2012-12-21 05:11 Werner Dworak Note Added: 0003514
2012-12-21 05:11 Werner Dworak Status solved? => closed
2013-01-15 15:23 Werner Dworak Fixed in Version => 2011 Q4